<?php

namespace Luticate\Auth\DataAccess;

use Luticate\Auth\DataAccess\SP\SpLuGetUserPermission;
use Luticate\Utils\LuDataAccess;
use Luticate\Auth\DataAccess\Models\LuticatePermissions;
use Luticate\Auth\DBO\LuticatePermissionsDbo;

class LuticatePermissionsDataAccess extends LuDataAccess {
    public function __construct()
    {
        parent::__construct();
        $this->model = new LuticatePermissions();
    }

    public static function getUserPermission($user_id, $permission_name)
    {
        return SpLuGetUserPermission::execute($user_id, $permission_name);
    }
}